;; Set and reset MSB of characters in a buffer
;; Coded by K.Handa, Electrotechnical Lab. (handa@etl.go.jp)
;;      and S.Tomura, Electrotechnical Lab. (tomura@etl.go.jp)

;; This file is part of Nemacs (Japanese version of GNU Emacs).

;; Nemacs is distributed in the forms of patches to GNU
;; Emacs under the terms of the GNU EMACS GENERAL PUBLIC
;; LICENSE which is distributed along with GNU Emacs by the
;; Free Software Foundation.

;; Nemacs is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied
;; warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
;; PURPOSE.  See the GNU EMACS GENERAL PUBLIC LICENSE for
;; more details.

;; You should have received a copy of the GNU EMACS GENERAL
;; PUBLIC LICENSE along with Nemacs; see the file COPYING.
;; If not, write to the Free Software Foundation, 675 Mass
;; Ave, Cambridge, MA 02139, USA.

;;; 87.6.15  created by K.Handa

(defun msbset (from to)
  (interactive "r")
  (let ((kanji-flag nil) c1 c2)
    (save-excursion
      (while (< from to)
	(goto-char from)
	(setq c1 (char-after from))
	(setq c2 (logior c1 128))
	(if (eq c1 c2) nil
	  (delete-char 1)
	  (insert c2))
	(setq from (1+ from))))))

(defun msbreset (from to)
  (interactive "r")
  (let ((kanji-flag nil) c1 c2)
    (save-excursion
      (while (< from to)
	(goto-char from)
	(setq c1 (char-after from))
	(setq c2 (logand c1 127))
	(if (eq c1 c2) nil
	  (delete-char 1)
	  (insert c2))
	(setq from (1+ from))))))
